package cn.com.tenlion.configtable.pojo.pos.configtablefield;

/**
 *
 * @ClassName: ConfigTableFieldPO
 * @Description: 
 * @Author: CodeFactory
 * @Date: 2021-06-24 11:06:57
 * @Version: 3.0
 **/
public class ConfigTableFieldPO {

    private String configTableFieldId;
    private String configTableFieldCode;
    private String configTableFieldName;
    private String configTableFieldRemark;
    private String configTableFieldType;
    private Integer configTableFieldNumber;
    private Integer configTableFieldOrder;
    private Integer configTableFieldRow;
    private Integer configTableFieldRowCol;
    private String configTableFieldMust;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;
    private String configTableId;

    public String getConfigTableId() {
        return configTableId == null ? "" : configTableId;
    }

    public void setConfigTableId(String configTableId) {
        this.configTableId = configTableId;
    }

    public String getConfigTableFieldId() {
        return configTableFieldId == null ? "" : configTableFieldId.trim();
    }

    public void setConfigTableFieldId(String configTableFieldId) {
        this.configTableFieldId = configTableFieldId;
    }

    public String getConfigTableFieldCode() {
        return configTableFieldCode == null ? "" : configTableFieldCode.trim();
    }

    public void setConfigTableFieldCode(String configTableFieldCode) {
        this.configTableFieldCode = configTableFieldCode;
    }

    public String getConfigTableFieldName() {
        return configTableFieldName == null ? "" : configTableFieldName.trim();
    }

    public void setConfigTableFieldName(String configTableFieldName) {
        this.configTableFieldName = configTableFieldName;
    }

    public String getConfigTableFieldRemark() {
        return configTableFieldRemark == null ? "" : configTableFieldRemark.trim();
    }

    public void setConfigTableFieldRemark(String configTableFieldRemark) {
        this.configTableFieldRemark = configTableFieldRemark;
    }

    public String getConfigTableFieldType() {
        return configTableFieldType == null ? "" : configTableFieldType.trim();
    }

    public void setConfigTableFieldType(String configTableFieldType) {
        this.configTableFieldType = configTableFieldType;
    }

    public Integer getConfigTableFieldNumber() {
        return configTableFieldNumber == null ? 0 : configTableFieldNumber;
    }

    public void setConfigTableFieldNumber(Integer configTableFieldNumber) {
        this.configTableFieldNumber = configTableFieldNumber;
    }

    public Integer getConfigTableFieldOrder() {
        return configTableFieldOrder == null ? 0 : configTableFieldOrder;
    }

    public void setConfigTableFieldOrder(Integer configTableFieldOrder) {
        this.configTableFieldOrder = configTableFieldOrder;
    }

    public Integer getConfigTableFieldRow() {
        return configTableFieldRow == null ? 0 : configTableFieldRow;
    }

    public void setConfigTableFieldRow(Integer configTableFieldRow) {
        this.configTableFieldRow = configTableFieldRow;
    }

    public Integer getConfigTableFieldRowCol() {
        return configTableFieldRowCol == null ? 0 : configTableFieldRowCol;
    }

    public void setConfigTableFieldRowCol(Integer configTableFieldRowCol) {
        this.configTableFieldRowCol = configTableFieldRowCol;
    }

    public String getConfigTableFieldMust() {
        return configTableFieldMust == null ? "" : configTableFieldMust.trim();
    }

    public void setConfigTableFieldMust(String configTableFieldMust) {
        this.configTableFieldMust = configTableFieldMust;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
